/*
 * buzzer.h
 *
 *  Created on: Mar 6, 2022
 *      Author: wuwen
 */

#ifndef BUZZER_H_
#define BUZZER_H_

#include "main.h"

struct notes             //一个音符
{
	uint16_t freq;          //频率
	uint8_t duty;           //占空比
	uint16_t deley;         //播放时长
	struct notes *next_note;//下一个音符
};

void play_ones(uint16_t freq,uint8_t dutya);
void add_a_note(uint16_t freq,uint8_t duty,uint16_t deley);
char buzzer_play_server();

#endif /* BUZZER_H_ */
